Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## logging
Class SavingRunnable

    java.lang.Object
      logging.SavingRunnable

All Implemented Interfaces:
  java.lang.Runnable

    public class SavingRunnable

extends java.lang.Object
implements java.lang.Runnable

Field Summary
`static java.lang.String` | `RESULTS_FOLDER`

Constructor Summary
`SavingRunnable(Mapper mapper, GeneratorsController controller, int timeBetweenSaves)`

Method Summary
`GeneratorsController` | `getContoller()`
`Mapper` | `getMapper()`
`int` | `getTimeBetweenSaves()`
`boolean` | `isAlive()`
`void` | `run()`
`void` | `setAlive(boolean alive)`
`void` | `setContoller(GeneratorsController contoller)`
`void` | `setMapper(Mapper mapper)`
`void` | `setTimeBetweenSaves(int timeBetweenSaves)`
`void` | `startThread()`
`void` | `stopThread()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RESULTS_FOLDER

    public static final java.lang.String RESULTS_FOLDER

See Also:
  Constant Field Values

Constructor Detail

### SavingRunnable

    public SavingRunnable(Mapper mapper,
                          GeneratorsController controller,
                          int timeBetweenSaves)

Method Detail

### isAlive

    public boolean isAlive()

### setAlive

    public void setAlive(boolean alive)

### getMapper

    public Mapper getMapper()

### setMapper

    public void setMapper(Mapper mapper)

### getContoller

    public GeneratorsController getContoller()

### setContoller

    public void setContoller(GeneratorsController contoller)

### getTimeBetweenSaves

    public int getTimeBetweenSaves()

### setTimeBetweenSaves

    public void setTimeBetweenSaves(int timeBetweenSaves)

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### startThread

    public void startThread()

### stopThread

    public void stopThread()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD